package com.fastbee.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;


/**
 * 设备服务下发日志对象 iot_function_log
 *
 * @author zhuangpeng.li
 * @date 2024-11-13
 */

@ApiModel(value = "FunctionLog", description = "设备服务下发日志 iot_function_log")
@Data
@TableName("iot_function_log" )
public class FunctionLog implements Serializable{
    private static final long serialVersionUID=1L;

    /** 设备功能日志ID */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("设备功能日志ID")
    private Long id;

    /** 标识符 */
    @ApiModelProperty("标识符")
    private String identify;

    /** 1==服务下发，2=属性获取，3.OTA升级 */
    @ApiModelProperty("1==服务下发，2=属性获取，3.OTA升级")
    private Integer funType;

    /** 日志值 */
    @ApiModelProperty("日志值")
    private String funValue;

    /** 消息id */
    @ApiModelProperty("消息id")
    private String messageId;

    /** 设备名称 */
    @ApiModelProperty("设备名称")
    private String deviceName;

    /** 设备编号 */
    @ApiModelProperty("设备编号")
    private String serialNumber;

    /** 模式(1=影子模式，2=在线模式，3=其他) */
    @ApiModelProperty("模式(1=影子模式，2=在线模式，3=其他)")
    private Integer mode;

    /** 用户id */
    @ApiModelProperty("用户id")
    private Long userId;

    /** 下发结果描述 */
    @ApiModelProperty("下发结果描述")
    private String resultMsg;

    /** 下发结果代码 */
    @ApiModelProperty("下发结果代码")
    private Integer resultCode;

    /** 创建者 */
    @ApiModelProperty("创建者")
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("创建时间")
    private Date createTime;

    /** 备注 */
    @ApiModelProperty("备注")
    private String remark;

    /** 显示值 */
    @ApiModelProperty("显示值")
    private String showValue;

    /** 物模型名称 */
    @ApiModelProperty("物模型名称")
    private String modelName;

    /** 设备回复时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("设备回复时间")
    private Date replyTime;

    @Setter
    @TableField(exist = false)
    @ApiModelProperty("请求参数")
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private Map<String, Object> params;

    public Map<String, Object> getParams(){
        if (params == null){
            params = new HashMap<>();
        }
        return params;
    }

}
